/*
 * socketpair
 */

#include <sys/socket.h>
#include <unistd.h>

int main(void)
{
	int sv[2];
	if (socketpair(AF_UNIX, SOCK_STREAM, 0, sv) == 0) {
		write(sv[0], "x", 1);
		char b;
		read(sv[1], &b, 1);
		close(sv[0]);
		close(sv[1]);
	}
	return 0;
}
